API and developers

Update product

patch/v1/products/{product_id}

Update an existing product for the authenticated merchant.

Example

curl -X PATCH "https://api.ya.onl/v1/products/{product_id}" \
  -H "X-API-Key: yv_live_v1_…" \
  -H "Content-Type: application/json" \
  -d '{}'

Parameters

product_idintegerpathrequired

Unique product identifier

Request body

namestring | null

Product name

descriptionstring | null

Short product description

characteristicsstring | null

Detailed product description or specifications

statusstring | null

Product status

Responses

200
Successful Response
401
Invalid or missing API key
403
API key lacks the products:write scope
404
Product not found
422
Validation Error
429
Rate limit exceeded
Need help?